define(["require", "exports", "../../Styling"], function (require, exports, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getStyles = void 0;
    var GlobalClassNames = {
        focusedContainer: 'ms-swatchColorPickerBodyContainer',
    };
    var getStyles = function (props) {
        var className = props.className, theme = props.theme, cellMargin = props.cellMargin;
        var classNames = (0, Styling_1.getGlobalClassNames)(GlobalClassNames, theme);
        return {
            root: {
                margin: '8px 0',
                borderCollapse: 'collapse',
            },
            tableCell: {
                padding: cellMargin / 2,
            },
            focusedContainer: [
                classNames.focusedContainer,
                {
                    clear: 'both',
                    display: 'block',
                    minWidth: '180px',
                },
                className,
            ],
        };
    };
    exports.getStyles = getStyles;
});
//# sourceMappingURL=SwatchColorPicker.styles.js.map